### Hierarchy

- LayoutEdge
  - ForceDirectedEdge

This holds ForceDirectedLayout-specific information about Links.

This class inherits from LayoutEdge.

## Index

### Constructors

- constructor

### Properties

- length
- stiffness

## Inherited Members

### Properties

- LayoutEdge.data
- LayoutEdge.fromVertex
- LayoutEdge.link
- LayoutEdge.network
- LayoutEdge.toVertex

### Methods

- LayoutEdge.commit
- LayoutEdge.getOtherVertex

## Constructors

### constructor

- new ForceDirectedEdge(network: ForceDirectedNetwork): ForceDirectedEdge

- This constructs an edge that does not know about any Link.

  #### Parameters

  - ##### network: ForceDirectedNetwork

  #### Returns ForceDirectedEdge

## Properties

### length: number

- Gets or sets the length of this edge. The default value is NaN.

### stiffness: number

- Gets or sets this edge's stiffness or resistance to compression or stretching. The default value is NaN.

Copyright © 1998-2022 by Northwoods Software Corporation.